Skip to main content
GET
/
tracks
Get tracks
curl --request GET \
  --url https://backstage.example.com/api/soundcheck/tracks
{
  "tracks": [
    {
      "id": "<string>",
      "levels": [
        {
          "ordinal": 123,
          "checks": [
            {
              "id": "<string>",
              "name": "<string>",
              "description": "<string>",
              "filter": {},
              "exclude": {}
            }
          ],
          "name": "<string>",
          "description": "<string>",
          "badge": {
            "color": "<string>",
            "type": "medal",
            "svg": "<string>"
          }
        }
      ],
      "name": "<string>",
      "description": "<string>",
      "ownerEntityRef": "<string>",
      "group": "<string>",
      "type": "standard",
      "badge": {
        "color": "<string>",
        "type": "medal",
        "svg": "<string>"
      },
      "filter": {},
      "exclude": {},
      "documentationURL": "<string>",
      "badgeType": "medal",
      "draft": true,
      "isEditable": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "archived": true,
      "supportChannel": "<string>",
      "startDate": "<string>",
      "targetCompletionDate": "<string>",
      "milestones": [
        {}
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

tracks

One or more track ids to filter by.

entityRef
string

Entity ref used to filter tracks.

onlyApplicableChecks
boolean

Whether to include only applicable checks.

Response

OK

tracks
object[]
required